/*******************************************************************************
***  This file is part of QtArgs.                                            ***
***                                                                          ***
***  Copyright (C) 2011, 2012, 2014                                          ***
***  CodeGNU Solutions <Licensing _AT_ CodeGNU _DOT_ com>                    ***
***                                                                          ***
***  This program is free software: you can redistribute it and/or modify    ***
***  it under the terms of the GNU Lesser General Public License as          ***
***  published by the Free Software Foundation, either version 3 of the      ***
***  License, or (at your option) any later version.                         ***
***                                                                          ***
***  This program is distributed in the hope that it will be useful, but     ***
***  WITHOUT ANY WARRANTY; without even the implied warranty of              ***
***  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                    ***
***  See the GNU Lesser General Public License for more details.             ***
***                                                                          ***
***  You should have received a copy of the GNU Lesser General Public        ***
***  License along with this program. If not, see                            ***
***  <http://www.gnu.org/licenses/>.                                         ***
*******************************************************************************/
#ifndef QTARGS_GLOBAL_H_
#define QTARGS_GLOBAL_H_
/**
 * @file qargs_global.h
 * @brief Library Definition
 * @details Definitions for the library import/exports definitions.
 */

#include <QtCore/qglobal.h>


/**
 * @def QTARGS_SHARED_EXPORT
 * @brief Export Classes
 * @details A simple macro to ease exporting classes, structs, etc across
 *  various platforms without the caller needing to bother determining which
 *  action is being performed an export or import. During the build define the
 *  macro QTARGS_LIBRARY and the correct export settings will be used.
 *
 * @post The macro QTARGS_SHARED_EXPORT is defined with the appropriate
 *  export or import needed for the library based upon the build.
 */
#if defined(QTARGS_LIBRARY)
#   define QTARGS_SHARED_EXPORT Q_DECL_EXPORT
#else
#   define QTARGS_SHARED_EXPORT Q_DECL_IMPORT
#endif

/**
 * @mainpage QtArgs Developer Documentation
 *
 * These pages contain the documentation for a developer to use the libary.
 */

#endif
